<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
    <meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0,maximum-scale=1">

    <link rel="profile" href="http://gmpg.org/xfn/11" />

		<!--[if lt IE 9]>
			<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>
		<header id="header">
			<div class="container">
				<a style="background-image: url(<?php echo get_theme_mod( 'tz_logo', get_template_directory_uri() . '/assets/images/logo.png' ); ?>);" href="<?php echo home_url(); ?>" id="logo" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a>
				<div class="right-links">
					<?php if ( class_exists( 'WooCommerce' ) ) { ?>
						<ul>
							<li><a class="cart-contents" href="<?php echo wc_get_cart_url(); ?>" title="View your shopping cart">
								<span class="ico-products"></span>
								<?php echo sprintf ( _n( __( '%d product', 'jewelry' ), __( '%d products', 'jewelry' ), WC()->cart->get_cart_contents_count() ), WC()->cart->get_cart_contents_count() ); ?>,
								<?php echo strip_tags( WC()->cart->get_cart_total() ); ?></a>
							</li>
							<li><a href="<?php echo home_url() . '/my-account/'; ?>"><span class="ico-account"></span><?php _e( 'Account', 'jewelry' ); ?></a></li>
							<?php if ( is_user_logged_in() ) { ?>
								<li><a href="<?php echo wp_logout_url( site_url() ); ?>"><span class="ico-signout"></span><?php _e( 'Sign out', 'jewelry' ); ?></a></li>
							<?php } ?>
						</ul>
					<?php } ?>
				</div>
			</div>
			<!-- / container -->
		</header>
		<!-- / header -->

		<nav id="menu">
			<div class="container">
				<div class="trigger"></div>

				<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
					<?php wp_nav_menu( array( 'theme_locations' => 'primary-menu' ) ); ?>
				<?php } ?>
			</div>
			<!-- / container -->
		</nav>
