<?php

add_action( 'widgets_init', create_function( '', 'register_widget("tz_social_widget");' ) );
class tz_social_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			'tz_social_widget',
			'TZ Social',
			array(
				'classname' => 'tz_widget_social',
				'description' => __( 'Widget to displaying your social.', 'jewelry' )
			)
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		$facebook = $instance['facebook'];
		$twitter = $instance['twitter'];
		$google_plus = $instance['google_plus'];
		$pinterest = $instance['pinterest'];

		echo str_replace( 'class="', 'style="width: 17%;" class="', $args['before_widget'] );

		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
	<ul class="social">
		<li><a href="http://facebook.com/<?php echo $facebook; ?>"><span class="ico ico-fb"></span>Facebook</a></li>
		<li><a href="http://twitter.com/<?php echo $twitter; ?>"><span class="ico ico-tw"></span>Twitter</a></li>
		<li><a href="http://plus.google.com/u/<?php echo $google_plus; ?>"><span class="ico ico-gp"></span>Google+</a></li>
		<li><a href="http://pinterest.com/<?php echo $pinterest; ?>"><span class="ico ico-pi"></span>Pinterest</a></li>
	</ul>
<?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$defaults = array(
			'title' => __( 'Social Media', 'jewelry' ),
			'facebook' => '',
			'twitter' => '',
			'google_plus' => '',
			'pinterest' => ''
		);

		$instance = wp_parse_args( ( array ) $instance, $defaults );
?>
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'jewelry' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'facebook' ); ?>">Facebook</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['facebook'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'twitter' ); ?>">Twitter</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['twitter'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'google_plus' ); ?>">Google+</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'google_plus' ); ?>" name="<?php echo $this->get_field_name( 'google_plus' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['google_plus'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>">Pinterest</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['pinterest'] ), ENT_QUOTES ) ); ?>" />
	</p>
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['facebook'] = stripslashes( $new_instance['facebook'] );
		$instance['twitter'] = stripslashes( $new_instance['twitter'] );
		$instance['google_plus'] = stripslashes( $new_instance['google_plus'] );
		$instance['pinterest'] = stripslashes( $new_instance['pinterest'] );

		return $instance;
	}
}

?>
