<?php

/**
 * Template Name: Home
 */

get_header();

?>
  <?php
    query_posts( array( 'post_type' => 'tz_slide', 'showposts' => 5 ) );
    if ( have_posts() ) {
  ?>
    <div id="slider">
      <ul>
        <?php while ( have_posts() ) { the_post(); ?>
          <li style="background-image: url(<?php the_post_thumbnail_url(); ?>)">
            <h3><?php echo get_post_meta( get_the_ID(), '_tz_slide_custom_subtitle', true ); ?></h3>
            <h2><?php the_title(); ?></h2>
            <?php if ( $link = get_post_meta( get_the_ID(), '_tz_slide_custom_url', true ) ) { ?>
              <a href="<?php echo $link; ?>" class="btn-more">Read more</a>
            <?php } ?>
          </li>
        <?php } ?>
      </ul>
    </div>
    <!-- / body -->
  <?php } wp_reset_query(); ?>

  <div id="body">
		<div class="container">
			<?php
        query_posts( array( 'post_type' => 'product', 'showposts' => 15 ) );
        if ( have_posts() ) {
      ?>
        <div class="last-products">
  				<h2>Last added products</h2>
  				<section class="products">
  					<?php while( have_posts() ) { the_post(); ?>
              <article>
    						<img src="<?php the_post_thumbnail_url( 'tz_home_product_thumb' ); ?>" />
    						<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
    						<h4><?php echo $product->get_price_html(); ?></h4>
    						<?php echo sprintf( '<a rel="nofollow" href="%s" data-quantity="%s" data-product_id="%s" data-product_sku="%s" class="%s">%s</a>',
              		esc_url( $product->add_to_cart_url() ),
              		esc_attr( isset( $quantity ) ? $quantity : 1 ),
              		esc_attr( $product->id ),
              		esc_attr( $product->get_sku() ),
                  'btn-add add_to_cart_button ajax_add_to_cart',
              		__( 'Add to cart', 'jewelry' )
              	); ?>
    					</article>
            <?php } ?>
  				</section>
  			</div>
      <?php } wp_reset_query(); ?>

      <?php
        query_posts( array( 'post_type' => 'tz_link', 'showposts' => 3 ) );
        if ( have_posts() ) {
      ?>
        <section class="quick-links">
          <?php while( have_posts() ) { the_post(); ?>
            <?php
                $highlight_class = get_post_meta( get_the_ID(), '_tz_link_highlight_link', true );
                echo get_post_meta( get_the_ID(), '_tz_link_highlight_link', true );
                if ($highlight_class == 'on') {
                  $highlight_class = 'class="red"';
                }
            ?>
            <article <?php echo $highlight_class; ?> style="background-image: url(<?php the_post_thumbnail_url( 'full' ); ?>)">
              <a href="#" class="table">
                <div class="cell">
                  <div class="text">
                    <?php if ( $subtitle = get_post_meta( get_the_ID(), '_tz_link_custom_subtitle', true ) ) { ?>
                      <h4><?php echo $subtitle; ?></h4>
                      <hr>
                    <?php } ?>

                    <h3><?php the_title(); ?></h3>

                     <?php if ( !empty(get_the_content()) ) { ?>
                      <hr>
                      <p><?php echo get_the_content(); ?></p>
                    <?php } ?>
                </div>
                </div>
              </a>
            </article>
          <?php } ?>
        </section>
      <?php } wp_reset_query(); ?>
    </div>
  </div>
<?php get_footer(); ?>
