<?php get_header(); ?>
  <?php while( have_posts() ) { the_post(); ?>
    <div id="breadcrumbs">
      <div class="container">
        <ul>
          <li><a href="<?php echo home_url(); ?>">Home</a></li>
          <li><a href="<?php echo home_url() . '/shop/'; ?>">Product</a></li>
          <li><?php the_title(); ?></li>
        </ul>
      </div>
      <!-- / container -->
    </div>

    <!-- / body -->
    <div id="body">
  		<div class="container">
  			<div id="content" class="full">
  				<div class="product">
  					<div class="image">
  						<img src="<?php the_post_thumbnail_url( 'full' ); ?>" alt="" />
  					</div>

            <div class="details">
  						<h1><?php the_title(); ?></h1>
  						<h4><?php echo $product->get_price_html(); ?></h4>

              <div class="entry">
                <?php if ( $post->post_excerpt ) { ?>
                  <p><?php echo $post->post_excerpt; ?></p>
                <?php } ?>

                <div class="tabs">
  								<div class="nav">
  									<ul>
  										<li class="active"><a href="#desc">Description</a></li>
  										<li><a href="#rev">Details</a></li>
  									</ul>
  								</div>
  								<div class="tab-content active" id="desc">
                    <?php the_content(); ?>
                  </div>
  								<div class="tab-content" id="rev">
                    <p>
                      <?php if ( $product->enable_dimensions_display() ) { ?>
                        <?php if ( $product->has_weight() ) { ?>
                    			<strong>Weight:</strong> <?php echo wc_format_localized_decimal( $product->get_weight() ) . ' ' . esc_attr( get_option( 'woocommerce_weight_unit' ) ); ?><br />
                    		<?php } ?>

                    		<?php if ( $product->has_dimensions() ) { ?>
                          <strong>Dimensions:</strong> <?php echo $product->get_dimensions(); ?><br />
                    		<?php } ?>
                    	<?php } ?>

                      <?php
                        $attributes = $product->get_attributes();
                        foreach ( $attributes as $attribute ) {
                    		if ( empty( $attribute['is_visible'] ) || ( $attribute['is_taxonomy'] && ! taxonomy_exists( $attribute['name'] ) ) ) {
                    			continue;
                    		}
                    	?>
                    		<strong><?php echo wc_attribute_label( $attribute['name'] ); ?>:</strong>
                  			<?php
                  				if ( $attribute['is_taxonomy'] ) {
                  					$values = wc_get_product_terms( $product->id, $attribute['name'], array( 'fields' => 'names' ) );
                  					echo apply_filters( 'woocommerce_attribute', wptexturize( implode( ', ', $values ) ), $attribute, $values );
                  				} else {
                            $values = array_map( 'trim', explode( WC_DELIMITER, $attribute['value'] ) );
                  					echo apply_filters( 'woocommerce_attribute', wptexturize( implode( ', ', $values ) ), $attribute, $values );
                  				}
                  			?>
                    	<?php } ?>
                    </p>
                  </div>
  							</div>
              </div>

              <form method="post" enctype="multipart/form-data" class="actions">
  							<label>Quantity:</label>
                <input step="1" min="1" max="" name="quantity" value="1" title="Quantity" class="input-text qty text crf-s" size="4" pattern="[0-9]*" inputmode="numeric" type="number">
                <input name="add-to-cart" value="<?php the_ID(); ?>" type="hidden" />
                <button type="submit" class="single_add_to_cart_button btn-grey">Add to cart</button>
  						</form>
            </div>
          </div>
        </div>
      </div>
    </div>
  <?php } ?>
<?php get_footer(); ?>
