<?php get_header(); ?>
  <div id="breadcrumbs">
    <div class="container">
      <ul>
        <li><a href="#">Home</a></li>
        <li><a href="#">Product</a></li>
        <li><?php echo single_term_title(); ?></li>
      </ul>
    </div>
    <!-- / container -->
  </div>
  <!-- / body -->

  <div id="body">
    <div class="container">
      <?php tz_pagination(); ?>

      <div class="products-wrap">
        <aside id="sidebar">
          <form method="get" action="">
            <div class="widget">
              <h3>Products per page:</h3>
              <fieldset>
                <input id="per-page-8" <?php if ( ! isset( $_GET['per_page'] ) || isset( $_GET['per_page'] ) && $_GET['per_page'] == 8 ) echo 'checked="checked" '; ?>name="per_page" value="8" type="radio">
                <label for="per-page-8">8</label>
                <input id="per-page-16" <?php if ( isset( $_GET['per_page'] ) && $_GET['per_page'] == 16 ) echo 'checked="checked" '; ?>name="per_page" value="16" type="radio">
                <label for="per-page-16">16</label>
                <input id="per-page-24" <?php if ( isset( $_GET['per_page'] ) && $_GET['per_page'] == 24 ) echo 'checked="checked" '; ?>name="per_page" value="24" type="radio">
                <label for="per-page-24">24</label>
              </fieldset>
            </div>
            <div class="widget">
              <h3>Sort by:</h3>
              <fieldset>
                <input id="orderby-recent" <?php if ( ! isset( $_GET['orderby'] ) ) echo 'checked="checked" '; ?> name="orderby" value="date" type="radio">
                <label for="orderby-recent">Recent</label>
                <input id="orderby-popularity" <?php if ( isset( $_GET['orderby'] ) && $_GET['orderby'] == 'popularity' ) echo 'checked="checked" '; ?>name="orderby" value="popularity" type="radio">
                <label for="orderby-popularity">Popularity</label>
                <input id="orderby-date" <?php if ( isset( $_GET['orderby'] ) && $_GET['orderby'] == 'date' ) echo 'checked="checked" '; ?>name="orderby" value="date" type="radio">
                <label for="orderby-date">Date</label>
                <input id="orderby-price" <?php if ( isset( $_GET['orderby'] ) && $_GET['orderby'] == 'price' ) echo 'checked="checked" '; ?>name="orderby" value="price" type="radio">
                <label for="orderby-price">Price</label>
              </fieldset>
            </div>
            <div class="widget">
              <h3>Price range:</h3>
              <fieldset>
                <div id="price-range"></div>
                <input type="hidden" name="min_price" id="min-price" value="<?php echo ( isset( $_GET['min_price'] ) ) ? $_GET['min_price'] : 0; ?>" />
                <input type="hidden" name="max_price" id="max-price" value="<?php echo ( isset( $_GET['max_price'] ) ) ? $_GET['max_price'] : 5000; ?>" />
              </fieldset>
            </div>
          </form>
        </aside>
        <div id="content">
          <?php if ( have_posts() ) { ?>
            <section class="products">
    					<?php while( have_posts() ) { the_post(); ?>
                <article>
      						<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'tz_home_product_thumb' ); ?>" /></a>
      						<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
      						<h4><a href="<?php the_permalink(); ?>"><?php echo $product->get_price_html(); ?></a></h4>
      						<?php echo sprintf( '<a rel="nofollow" href="%s" data-quantity="%s" data-product_id="%s" data-product_sku="%s" class="%s">%s</a>',
                		esc_url( $product->add_to_cart_url() ),
                		esc_attr( isset( $quantity ) ? $quantity : 1 ),
                		esc_attr( $product->id ),
                		esc_attr( $product->get_sku() ),
                    'btn-add add_to_cart_button ajax_add_to_cart',
                		'Add to cart'
                	); ?>
      					</article>
              <?php } ?>
    				</section>
          <?php } ?>
        </div>
        <!-- / content -->
      </div>

      <?php tz_pagination(); ?>
    </div>
  </div>
<?php get_footer(); ?>
